> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# About sandbox

> Safely test the Equals API with sandbox-specific requests.

The **sandbox** environment allows you to safely test requests without impacting any of your production data. You can simulate a credit to add mock funds to your budget and test payments, or mock various card transactions.

<Info>
  Learn more about using sandbox in our [dedicated guide](/pages/get-started/generate-credits).
</Info>

## Credit simulations

Simulate a credit (inbound payment) to a budget in your sandbox environment.

| Endpoint                           | Description                           |
| ---------------------------------- | ------------------------------------- |
| `POST /v2/budgets/generate-credit` | Generate credits for testing purposes |

## Card simulations

Create test card transactions in your sandbox environment.

| Endpoint                                                           | Description                                    |
| ------------------------------------------------------------------ | ---------------------------------------------- |
| `POST /v2/cards/simulations/transaction/authorization`             | Simulate card authorisation                    |
| `POST /v2/cards/simulations/transaction/authorization/advice`      | Simulate authorisation advice                  |
| `POST /v2/cards/simulations/transaction/authorization/clearing`    | Simulate authorisation clearing                |
| `POST /v2/cards/simulations/transaction/authorization/reversal`    | Simulate authorisation reversal                |
| `POST /v2/cards/simulations/refund/authorization`                  | Simulate refund authorisation                  |
| `POST /v2/cards/simulations/refund/authorization/clearing`         | Simulate refund authorisation clearing         |
| `POST /v2/cards/simulations/atm/withdrawal/authorization`          | Simulate ATM withdrawal authorisation          |
| `POST /v2/cards/simulations/atm/withdrawal/authorization/clearing` | Simulate ATM withdrawal authorisation clearing |
